> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/threadcomment.md).

# ThreadComment

Forum Thread Comment

| Field             |                                                                                                Argument | Type                                                               | Description |
| ----------------- | ------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------ | ----------- |
| **id**            |        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the comment                                              |             |
| **userId**        |         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The user id of the comment's owner                                 |             |
| **threadId**      |         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The id of thread the comment belongs to                            |             |
| **comment**       |   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The text content of the comment (Markdown)                         |             |
| asHtml            | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown           |             |
| **likeCount**     |        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The amount of likes the comment has                                |             |
| **isLiked**       | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user liked the comment              |             |
| **siteUrl**       |   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the comment page on the AniList website                |             |
| **createdAt**     |        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the comments creation                                  |             |
| **updatedAt**     |        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the comments last update                               |             |
| **thread**        |   [Thread](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/thread/README.md) | The thread the comment belongs to                                  |             |
| **user**          |       [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user who created the comment                                   |             |
| **likes**         |    \[[User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md)] | The users who liked the comment                                    |             |
| **childComments** |       [Json](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/json/README.md) | The comment's child reply comments                                 |             |
| **isLocked**      | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the comment tree is locked and may not receive replies or edits |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/threadcomment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
